<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content miscellaneous-enumerations">
                   <div class="content-data">















<ol class="breadcrumb">
  <li>Miscellaneous</li>
  <li>Enumerations</li>
</ol>

<section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <ul class="index-list">
                        <li>
                            <a href="#Canton" title="e2e/shared/mock-server.ts"><b>Canton</b>&nbsp;&nbsp;&nbsp;(e2e/.../mock-server.ts)</a>
                        </li>
                        <li>
                            <a href="#DateType" title="e2e/shared/mock-server.ts"><b>DateType</b>&nbsp;&nbsp;&nbsp;(e2e/.../mock-server.ts)</a>
                        </li>
                        <li>
                            <a href="#ErrorType" title="src/app/core/http/ErrorInterceptor.ts"><b>ErrorType</b>&nbsp;&nbsp;&nbsp;(src/.../ErrorInterceptor.ts)</a>
                        </li>
                        <li>
                            <a href="#Step" title="src/app/operation/vote-workflow-display/vote-workflow-view.component.ts"><b>Step</b>&nbsp;&nbsp;&nbsp;(src/.../vote-workflow-view.component.ts)</a>
                        </li>
                        <li>
                            <a href="#StepStatus" title="src/app/operation/vote-workflow-display/vote-workflow-view.component.ts"><b>StepStatus</b>&nbsp;&nbsp;&nbsp;(src/.../vote-workflow-view.component.ts)</a>
                        </li>
                        <li>
                            <a href="#TestCaseType" title="e2e/shared/mock-server.ts"><b>TestCaseType</b>&nbsp;&nbsp;&nbsp;(e2e/.../mock-server.ts)</a>
                        </li>
                    </ul>
                </td>
            </tr>
        </tbody>
    </table>
</section>

    <h3>e2e/shared/mock-server.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="Canton"></a>
                        <span class="name"><b>Canton</b><a href="#Canton"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;GE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>GE</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;AG
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>AG</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SG
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>SG</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;BE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>BE</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;BS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>BS</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;LU
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>LU</code>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="DateType"></a>
                        <span class="name"><b>DateType</b><a href="#DateType"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;PAST
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>PAST</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;NOW
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>NOW</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;FUTURE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>FUTURE</code>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="TestCaseType"></a>
                        <span class="name"><b>TestCaseType</b><a href="#TestCaseType"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;TEST
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>TEST</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SIMULATION
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>SIMULATION</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;REAL
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>REAL</code>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>src/app/core/http/ErrorInterceptor.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ErrorType"></a>
                        <span class="name"><b>ErrorType</b><a href="#ErrorType"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;Technical
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;Validation
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>src/app/operation/vote-workflow-display/vote-workflow-view.component.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="Step"></a>
                        <span class="name"><b>Step</b><a href="#Step"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;Identification
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>identification</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;LegalInformation
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>legal-information</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;BallotList
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ballot-list</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;Summary
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>summary</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;Control
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>control</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;Finalization
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>finalization</code>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="StepStatus"></a>
                        <span class="name"><b>StepStatus</b><a href="#StepStatus"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;done
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>done</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;current
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>current</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;todo
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>todo</code>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'miscellaneous-enumerations';
            var COMPODOC_CURRENT_PAGE_URL = 'enumerations.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
